---
title: "Readiness reporter report runs"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › reporter

`GET /v2/reporter/report-runs/readiness`

## Query parameters

- `entityId` (`reporter-report-runs-readiness.query.entityId`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/reporter/report-runs/readiness?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/reporter/report-runs/readiness?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/reporter/report-runs/readiness?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
    "reportingIntentId": "string",
    "accountingConnectionId": "15a34c5a-2153-4717-b80d-7b1b9ec1ead9",
    "providerId": "string",
    "dataFreshnessAt": "2019-08-24T14:15:22Z",
    "checkedAt": "2019-08-24T14:15:22Z",
    "reportingIntent": {
      "id": "string",
      "name": "string",
      "description": "string",
      "category": "string",
      "version": "string",
      "source": "predefined",
      "forkedFromIntentId": "string",
      "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
      "schema": {},
      "authoringState": "draft",
      "enabled": true,
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    },
    "accountingConnection": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
      "providerId": "string",
      "onboardingSessionId": "fd7cc202-1af5-4ce8-b709-66e287ca51fb",
      "connectedAccountId": "ac03972a-5ca5-43c5-b96f-c519ac843b7a",
      "status": "not_started",
      "reportingCadence": "monthly",
      "requiredScopes": [],
      "grantedScopes": [],
      "hasCredentialRefs": true,
      "blocksReportReadiness": true,
      "readinessFactorKeys": [
        "accounting_connection"
      ],
      "readinessMilestones": [
        "accounting_authorization_started"
      ],
      "failureCode": "string",
      "failurePublicMessage": "string",
      "retryGuidance": "string",
      "selectedAt": "2019-08-24T14:15:22Z",
      "authorizationStartedAt": "2019-08-24T14:15:22Z",
      "connectedAt": "2019-08-24T14:15:22Z",
      "syncStartedAt": "2019-08-24T14:15:22Z",
      "syncedAt": "2019-08-24T14:15:22Z",
      "failedAt": "2019-08-24T14:15:22Z",
      "revokedAt": "2019-08-24T14:15:22Z",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`reporter-report-runs-readiness.response.200.data`; object, required)
  - `entityId` (`reporter-report-runs-readiness.response.200.data.entityId`; string, required)
    - format `uuid`
  - `reportingIntentId` (`reporter-report-runs-readiness.response.200.data.reportingIntentId`; string, required)
    - minLength 1; maxLength 120; pattern `^[a-z0-9][a-z0-9_-]*$`
  - `accountingConnectionId` (`reporter-report-runs-readiness.response.200.data.accountingConnectionId`; string, required)
    - format `uuid`
  - `providerId` (`reporter-report-runs-readiness.response.200.data.providerId`; string, required)
    - minLength 1
  - `dataFreshnessAt` (`reporter-report-runs-readiness.response.200.data.dataFreshnessAt`; string, required)
    - format `date-time`
  - `checkedAt` (`reporter-report-runs-readiness.response.200.data.checkedAt`; string, required)
    - format `date-time`
  - `reportingIntent` (`reporter-report-runs-readiness.response.200.data.reportingIntent`; object, required)
    - `id` (`reporter-report-runs-readiness.response.200.data.reportingIntent.id`; string, required)
      - minLength 1; maxLength 120; pattern `^[a-z0-9][a-z0-9_-]*$`
    - `name` (`reporter-report-runs-readiness.response.200.data.reportingIntent.name`; string, required)
      - minLength 1; maxLength 160
    - `description` (`reporter-report-runs-readiness.response.200.data.reportingIntent.description`; string, required)
      - minLength 1; maxLength 1000
    - `category` (`reporter-report-runs-readiness.response.200.data.reportingIntent.category`; string, required)
      - minLength 1; maxLength 120
    - `version` (`reporter-report-runs-readiness.response.200.data.reportingIntent.version`; string, required)
      - minLength 1; maxLength 80
    - `source` (`reporter-report-runs-readiness.response.200.data.reportingIntent.source`; string, required)
      - one of `"predefined"`, `"custom"`
    - `forkedFromIntentId` (`reporter-report-runs-readiness.response.200.data.reportingIntent.forkedFromIntentId`; string, required, nullable)
      - minLength 1; maxLength 120; pattern `^[a-z0-9][a-z0-9_-]*$`
    - `enabled` (`reporter-report-runs-readiness.response.200.data.reportingIntent.enabled`; boolean, required)
    - `createdAt` (`reporter-report-runs-readiness.response.200.data.reportingIntent.createdAt`; string, required)
      - format `date-time`
    - `updatedAt` (`reporter-report-runs-readiness.response.200.data.reportingIntent.updatedAt`; string, required)
      - format `date-time`
    - `entityId` (`reporter-report-runs-readiness.response.200.data.reportingIntent.entityId`; string, optional, nullable)
      - format `uuid`
    - `schema` (`reporter-report-runs-readiness.response.200.data.reportingIntent.schema`; object, optional)
      - default `{}`
      - `goldenDocuments` (`reporter-report-runs-readiness.response.200.data.reportingIntent.schema.goldenDocuments`; array<object>, optional)
        - `id` (`reporter-report-runs-readiness.response.200.data.reportingIntent.schema.goldenDocuments.id`; string, required)
          - minLength 1; maxLength 120; pattern `^[a-z0-9][a-z0-9_-]*$`
        - `label` (`reporter-report-runs-readiness.response.200.data.reportingIntent.schema.goldenDocuments.label`; string, required)
          - minLength 1; maxLength 180
        - `documentRole` (`reporter-report-runs-readiness.response.200.data.reportingIntent.schema.goldenDocuments.documentRole`; string, required)
          - minLength 1; maxLength 120
        - `sourceType` (`reporter-report-runs-readiness.response.200.data.reportingIntent.schema.goldenDocuments.sourceType`; string, required)
          - minLength 1; maxLength 120
        - `privacyClassification` (`reporter-report-runs-readiness.response.200.data.reportingIntent.schema.goldenDocuments.privacyClassification`; string, required)
          - one of `"generated_sample"`, `"synthetic_redacted"`, `"redacted_customer_approved"`
        - `fixturePath` (`reporter-report-runs-readiness.response.200.data.reportingIntent.schema.goldenDocuments.fixturePath`; string, optional)
          - minLength 1; maxLength 1000
        - `artifact` (`reporter-report-runs-readiness.response.200.data.reportingIntent.schema.goldenDocuments.artifact`; object, optional)
          - `artifactId` (`reporter-report-runs-readiness.response.200.data.reportingIntent.schema.goldenDocuments.artifact.artifactId`; string, optional)
            - minLength 1; maxLength 240
          - `artifactType` (`reporter-report-runs-readiness.response.200.data.reportingIntent.schema.goldenDocuments.artifact.artifactType`; string, optional)
            - minLength 1; maxLength 120
          - `storageKey` (`reporter-report-runs-readiness.response.200.data.reportingIntent.schema.goldenDocuments.artifact.storageKey`; string, optional)
            - minLength 1; maxLength 1000
          - `checksumSha256` (`reporter-report-runs-readiness.response.200.data.reportingIntent.schema.goldenDocuments.artifact.checksumSha256`; string, optional)
            - minLength 1; maxLength 128
          - `mimeType` (`reporter-report-runs-readiness.response.200.data.reportingIntent.schema.goldenDocuments.artifact.mimeType`; string, optional)
            - minLength 1; maxLength 160
        - `expectedOutputSummary` (`reporter-report-runs-readiness.response.200.data.reportingIntent.schema.goldenDocuments.expectedOutputSummary`; string, optional)
          - minLength 1; maxLength 2000
        - `approvalStatus` (`reporter-report-runs-readiness.response.200.data.reportingIntent.schema.goldenDocuments.approvalStatus`; string, optional)
          - one of `"approved"`; default `"approved"`
        - `approvedByUserId` (`reporter-report-runs-readiness.response.200.data.reportingIntent.schema.goldenDocuments.approvedByUserId`; string, optional)
          - minLength 1; maxLength 160
        - `approvedAt` (`reporter-report-runs-readiness.response.200.data.reportingIntent.schema.goldenDocuments.approvedAt`; string, optional)
          - format `date-time`
        - `tags` (`reporter-report-runs-readiness.response.200.data.reportingIntent.schema.goldenDocuments.tags`; array<string>, optional)
          - minLength 1; maxLength 80; default `[]`
    - `authoringState` (`reporter-report-runs-readiness.response.200.data.reportingIntent.authoringState`; string, optional)
      - one of `"draft"`, `"ready"`; default `"ready"`
  - `accountingConnection` (`reporter-report-runs-readiness.response.200.data.accountingConnection`; object, required)
    - `id` (`reporter-report-runs-readiness.response.200.data.accountingConnection.id`; string, required)
      - format `uuid`
    - `entityId` (`reporter-report-runs-readiness.response.200.data.accountingConnection.entityId`; string, required)
      - format `uuid`
    - `providerId` (`reporter-report-runs-readiness.response.200.data.accountingConnection.providerId`; string, required)
      - minLength 1; maxLength 80; pattern `^[a-z0-9][a-z0-9_-]*$`
    - `onboardingSessionId` (`reporter-report-runs-readiness.response.200.data.accountingConnection.onboardingSessionId`; string, required, nullable)
      - format `uuid`
    - `connectedAccountId` (`reporter-report-runs-readiness.response.200.data.accountingConnection.connectedAccountId`; string, required, nullable)
      - format `uuid`
    - `status` (`reporter-report-runs-readiness.response.200.data.accountingConnection.status`; string, required)
      - one of `"not_started"`, `"selected"`, `"authorizing"`, `"connected"`, `"syncing"`, `"synced"`, `"failed"`, `"revoked"`
    - `reportingCadence` (`reporter-report-runs-readiness.response.200.data.accountingConnection.reportingCadence`; string, required, nullable)
      - one of `"monthly"`, `"quarterly"`, `"annual"`
    - `hasCredentialRefs` (`reporter-report-runs-readiness.response.200.data.accountingConnection.hasCredentialRefs`; boolean, required)
    - `blocksReportReadiness` (`reporter-report-runs-readiness.response.200.data.accountingConnection.blocksReportReadiness`; boolean, required)
    - `readinessFactorKeys` (`reporter-report-runs-readiness.response.200.data.accountingConnection.readinessFactorKeys`; array<string>, required)
      - one of `"accounting_connection"`, `"initial_sync"`
    - `readinessMilestones` (`reporter-report-runs-readiness.response.200.data.accountingConnection.readinessMilestones`; array<string>, required)
      - one of `"accounting_authorization_started"`, `"accounting_connected"`, `"initial_sync_started"`, `"initial_sync_completed"`
    - `failureCode` (`reporter-report-runs-readiness.response.200.data.accountingConnection.failureCode`; string, required, nullable)
      - minLength 1; maxLength 120
    - `failurePublicMessage` (`reporter-report-runs-readiness.response.200.data.accountingConnection.failurePublicMessage`; string, required, nullable)
      - minLength 1; maxLength 500
    - `retryGuidance` (`reporter-report-runs-readiness.response.200.data.accountingConnection.retryGuidance`; string, required, nullable)
      - minLength 1; maxLength 500
    - `selectedAt` (`reporter-report-runs-readiness.response.200.data.accountingConnection.selectedAt`; string, required, nullable)
      - format `date-time`
    - `authorizationStartedAt` (`reporter-report-runs-readiness.response.200.data.accountingConnection.authorizationStartedAt`; string, required, nullable)
      - format `date-time`
    - `connectedAt` (`reporter-report-runs-readiness.response.200.data.accountingConnection.connectedAt`; string, required, nullable)
      - format `date-time`
    - `syncStartedAt` (`reporter-report-runs-readiness.response.200.data.accountingConnection.syncStartedAt`; string, required, nullable)
      - format `date-time`
    - `syncedAt` (`reporter-report-runs-readiness.response.200.data.accountingConnection.syncedAt`; string, required, nullable)
      - format `date-time`
    - `failedAt` (`reporter-report-runs-readiness.response.200.data.accountingConnection.failedAt`; string, required, nullable)
      - format `date-time`
    - `revokedAt` (`reporter-report-runs-readiness.response.200.data.accountingConnection.revokedAt`; string, required, nullable)
      - format `date-time`
    - `createdAt` (`reporter-report-runs-readiness.response.200.data.accountingConnection.createdAt`; string, required)
      - format `date-time`
    - `updatedAt` (`reporter-report-runs-readiness.response.200.data.accountingConnection.updatedAt`; string, required)
      - format `date-time`
    - `requiredScopes` (`reporter-report-runs-readiness.response.200.data.accountingConnection.requiredScopes`; array<string>, optional)
      - minLength 1; default `[]`
    - `grantedScopes` (`reporter-report-runs-readiness.response.200.data.accountingConnection.grantedScopes`; array<string>, optional)
      - minLength 1; default `[]`
- `meta` (`reporter-report-runs-readiness.response.200.meta`; object, optional)
  - `timestamp` (`reporter-report-runs-readiness.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-report-runs-readiness.response.400.error`; object, required)
  - `code` (`reporter-report-runs-readiness.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-report-runs-readiness.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-report-runs-readiness.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-report-runs-readiness.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-report-runs-readiness.response.401.error`; object, required)
  - `code` (`reporter-report-runs-readiness.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-report-runs-readiness.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-report-runs-readiness.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-report-runs-readiness.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-report-runs-readiness.response.403.error`; object, required)
  - `code` (`reporter-report-runs-readiness.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-report-runs-readiness.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-report-runs-readiness.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-report-runs-readiness.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-report-runs-readiness.response.404.error`; object, required)
  - `code` (`reporter-report-runs-readiness.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-report-runs-readiness.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-report-runs-readiness.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-report-runs-readiness.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-report-runs-readiness.response.500.error`; object, required)
  - `code` (`reporter-report-runs-readiness.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-report-runs-readiness.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-report-runs-readiness.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-report-runs-readiness.response.500.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/reporter-report-runs-readiness/index.md
